org.keycloak.examples.federation.properties

## Class ClasspathPropertiesFederationProvider

- java.lang.Object
- - org.keycloak.examples.federation.properties.BasePropertiesFederationProvider
  - - org.keycloak.examples.federation.properties.ClasspathPropertiesFederationProvider

- All Implemented Interfaces:
    UserFederationProvider, Provider

      public class ClasspathPropertiesFederationProvider
      extends BasePropertiesFederationProvider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserFederationProvider

      `UserFederationProvider.EditMode`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.examples.federation.properties.BasePropertiesFederationProvider

      `model, properties, session, supportedCredentialTypes`

    - ### Fields inherited from interface org.keycloak.models.UserFederationProvider

      `EMAIL, FIRST_NAME, LAST_NAME, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClasspathPropertiesFederationProvider(KeycloakSession session, UserFederationProviderModel model, Properties properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserModel` | `proxy(UserModel local)` Keycloak will call this method if it finds an imported UserModel.
    `UserModel` | `register(RealmModel realm, UserModel user)` The properties file is readonly so don't suppport registration.
    `boolean` | `removeUser(RealmModel realm, UserModel user)` The properties file is readonly so don't removing a user
    `boolean` | `synchronizeRegistrations()` The properties file is readonly so don't suppport registration.

    - ### Methods inherited from class org.keycloak.examples.federation.properties.BasePropertiesFederationProvider

      `close, getModel, getProperties, getSession, getSupportedCredentialTypes, getUserByEmail, getUserByUsername, isValid, preRemove, preRemove, searchByAttributes, validCredentials, validCredentials`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClasspathPropertiesFederationProvider

          public ClasspathPropertiesFederationProvider(KeycloakSession session,
                                               UserFederationProviderModel model,
                                               Properties properties)

  - ### Method Detail

    - #### proxy

          public UserModel proxy(UserModel local)

      Keycloak will call this method if it finds an imported UserModel. Here we proxy the UserModel with a Readonly proxy which will barf if password is updated.
      Parameters:
        `local` -
      Returns:

    - #### synchronizeRegistrations

          public boolean synchronizeRegistrations()

      The properties file is readonly so don't suppport registration.
      Returns:

    - #### register

          public UserModel register(RealmModel realm,
                           UserModel user)

      The properties file is readonly so don't suppport registration.
      Returns:

    - #### removeUser

          public boolean removeUser(RealmModel realm,
                           UserModel user)

      The properties file is readonly so don't removing a user
      Returns:

Copyright © 2015. All Rights Reserved.